Loading...
Searching...
No Matches
REGFI_DATA Struct Reference
Base Layer: Essential Functions and Data Structures

Data record structure. More...

`#include "regfi.h"`

Collaboration diagram for REGFI_DATA:
[legend]

## Data Structures

union | _regfi_data_interpreted
| These items represent interpreted versions of the REGFI_DATA::raw field. More...

## Data Fields

REGFI_DATA_TYPE | type
| Data type of this data, as indicated by the referencing VK record.
uint32_t | size
| Length of the raw data.
uint8_t * | raw
| This is always present, representing the raw data cell contents.
uint32_t | interpreted_size
| Represents the length of the interpreted value.

## Detailed Description

Data record structure.

## Field Documentation

## interpreted_size

uint32_t REGFI_DATA::interpreted_size

Represents the length of the interpreted value.

Meaning is type-specific. Will be 0 if interpretation failed for any reason.

Referenced by regfi_interpret_data().

The documentation for this struct was generated from the following file:

- regfi.h